Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 1328340

Summary: liveusb-creator: pycurl.error: cannot invoke setopt() - perform() is currently running
Product: [Fedora] Fedora Reporter: Lukas Brabec <lbrabec>
Component: liveusb-creatorAssignee: Luke Macken <lmacken>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 24CC: bcl, kparal, lmacken, mbriza, pfrields
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: liveusb-creator-3.93.3-1.fc24 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2016-04-26 16:35:04 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On:    
Bug Blocks: 1310542    

Description Lukas Brabec 2016-04-19 07:38:39 UTC
Description of problem:
When playing around with architecture and going back and forth in wizard, liveusb-creator crashes with traceback:

Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/liveusb/gui.py", line 92, in run
    iso = self.grabber.urlgrab(self.progress.release.url, filename=filename, reget='simple')
  File "/usr/lib/python2.7/site-packages/urlgrabber/grabber.py", line 1172, in urlgrab
    return self._retry(opts, retryfunc, url, filename)
  File "/usr/lib/python2.7/site-packages/urlgrabber/grabber.py", line 1064, in _retry
    r = apply(func, (opts,) + args, {})
  File "/usr/lib/python2.7/site-packages/urlgrabber/grabber.py", line 1157, in retryfunc
    fo = PyCurlFileObject(url, filename, opts)
  File "/usr/lib/python2.7/site-packages/urlgrabber/grabber.py", line 1259, in __init__
    self._do_open()
  File "/usr/lib/python2.7/site-packages/urlgrabber/grabber.py", line 1598, in _do_open
    self._set_opts()
  File "/usr/lib/python2.7/site-packages/urlgrabber/grabber.py", line 1385, in _set_opts
    self.curl_obj.setopt(pycurl.NOPROGRESS, False)
pycurl.error: cannot invoke setopt() - perform() is currently running
Aborted



Version-Release number of selected component (if applicable):

liveusb-creator-3.92.1-1.fc24.noarch
python-pycurl-7.43.0-2.fc24.x86_64


Steps to Reproduce:
1. start liveusb-creator
2. select server
3. select 64bit
4. click 'Create Live USB'
5. click 'Cancel`
6. select 32bit
7. click 'Create Live USB'

Sometimes I needed to repeat steps 3-7.

Comment 1 Kamil Páral 2016-04-19 13:05:15 UTC
Also reported at https://github.com/lmacken/liveusb-creator/issues/45

Comment 2 Kamil Páral 2016-04-20 09:49:35 UTC
I can reproduce this reliably:

1. pick Fedora Workstation
2. hit Create Live USB
3. while downloading, hit Cancel
4. hit Create Live USB again
5. crash

Comment 3 Fedora Update System 2016-04-21 16:12:57 UTC
liveusb-creator-3.93.1-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-ff4136b90c

Comment 4 Fedora Update System 2016-04-21 16:13:56 UTC
liveusb-creator-3.93.1-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-ff4136b90c

Comment 5 Fedora Update System 2016-04-21 21:59:56 UTC
liveusb-creator-3.93.1-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-ff4136b90c

Comment 6 Kamil Páral 2016-04-22 07:28:34 UTC
lbrabec verified this according to bodhi

Comment 7 Fedora Update System 2016-04-22 17:07:07 UTC
liveusb-creator-3.93.2-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-ff4136b90c

Comment 8 Fedora Update System 2016-04-24 01:25:31 UTC
liveusb-creator-3.93.2-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-ff4136b90c

Comment 9 Fedora Update System 2016-04-26 08:13:51 UTC
liveusb-creator-3.93.3-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-ff4136b90c

Comment 10 Fedora Update System 2016-04-26 16:23:50 UTC
liveusb-creator-3.93.3-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-ff4136b90c

Comment 11 Fedora Update System 2016-04-26 16:33:23 UTC
liveusb-creator-3.93.3-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.